Skip to main content
Create Copytrade
curl --request POST \
  --url https://synthesis.trade/api/v1/wallet/pol/{wallet_id}/copytrade \
  --header 'Content-Type: application/json' \
  --header 'X-API-KEY: <api-key>' \
  --data '
{
  "target": "<string>",
  "mode": "<string>",
  "settings": {
    "filters": {
      "resolution": {
        "enabled": true,
        "within_seconds": 123
      },
      "price": {
        "enabled": true,
        "min": 123,
        "max": 123
      },
      "slippage": {
        "enabled": true,
        "max_cents": 123
      },
      "labels": {
        "enabled": true,
        "allow": [
          "<string>"
        ],
        "deny": [
          "<string>"
        ]
      },
      "exposure": {
        "enabled": true,
        "max_market": 123,
        "max_event": 123
      },
      "amount": {
        "enabled": true,
        "min": 123,
        "max": 123
      }
    },
    "buy": {
      "enabled": true,
      "insufficient_funds": "BUY_MAX",
      "sizing": {
        "type": "<string>",
        "amount": 123
      },
      "total": {
        "type": "<string>"
      }
    },
    "sell": {
      "enabled": true,
      "insufficient_shares": "SELL_MAX",
      "sizing": {
        "type": "<string>",
        "amount": 123
      },
      "take_profit": {
        "enabled": true,
        "percent": 123
      }
    }
  }
}
'
{
  "success": true,
  "response": {
    "copytrade_id": "01234567-89ab-cdef-0123-456789abcdef",
    "target": "0x742d35Cc6634C0532925a3b844Bc454e4438f44e",
    "mode": "COPY",
    "status": "ACTIVE",
    "created_at": "2026-01-01T00:00:00"
  }
}

Authorizations

X-API-KEY
string
header
required

Account secret API key.

Path Parameters

wallet_id
string
required

Body

application/json
target
string
required

Target Polygon address to track. Must be a valid address and cannot equal the wallet address.

mode
string
required

COPY or COUNTER.

settings
object
required

Copytrade settings payload.

Response

201 - application/json

Polygon copytrade created